> ## Documentation Index
> Fetch the complete documentation index at: https://docs.streamkap.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get destination metrics (POST)

> POST alternative for GET /destinations/metrics. Use when URL length limits are exceeded (e.g., 100+ IDs). Supports both query parameters and request body. Body parameters take precedence over query parameters.



## OpenAPI

````yaml /openapi/openapi.json post /destinations/metrics
openapi: 3.1.0
info:
  title: Streamkap REST API
  description: >-
    The Streamkap REST API allows you to programmatically manage your CDC
    pipelines, sources, destinations, transforms, and more.


    Authenticate using a bearer token obtained from the [Access
    Token](/api-reference/auth/access-token) endpoint with your API client
    credentials.
  contact:
    name: Streamkap Support
    url: https://streamkap.com/
    email: support@streamkap.com
  license:
    name: Proprietary
  version: 2.0.0
servers:
  - url: https://api.streamkap.com
    description: Production
security: []
tags:
  - name: Alerts
    description: Manage alert subscribers, preferences, and notification credentials.
  - name: Authentication
    description: Obtain and refresh access tokens, manage client credentials and roles.
  - name: Billing
    description: Retrieve usage metrics, summaries, and export billing data.
  - name: Consumer Groups
    description: List, inspect, and reset Kafka consumer group offsets.
  - name: Dashboard
    description: Retrieve organisation-level statistics and overview data.
  - name: Destinations
    description: Create, configure, and manage data destinations and their lifecycle.
  - name: Kafka Access
    description: Manage Kafka users and their access permissions.
  - name: Logs
    description: Query and summarise system logs.
  - name: Pipelines
    description: Create, configure, and manage CDC pipelines and their lifecycle.
  - name: Project Keys
    description: Manage project keys that bundle API credentials and optional Kafka access.
  - name: Schema Registry
    description: Browse schema subjects, versions, and retrieve schema definitions.
  - name: Services
    description: View and switch service metadata.
  - name: Sources
    description: >-
      Create, configure, and manage data sources, snapshots, and their
      lifecycle.
  - name: Tags
    description: Create, update, and manage resource tags for organisation.
  - name: Topics
    description: Browse topic details, statistics, configurations, metrics, and messages.
  - name: Transforms
    description: >-
      Create, deploy, and manage data transforms, unit tests, and implementation
      details.
paths:
  /destinations/metrics:
    post:
      tags:
        - Destinations
      summary: Get destination metrics (POST)
      description: >-
        POST alternative for GET /destinations/metrics. Use when URL length
        limits are exceeded (e.g., 100+ IDs). Supports both query parameters and
        request body. Body parameters take precedence over query parameters.
      operationId: searchDestinationsMetrics
      parameters:
        - name: id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Entity identifier to fetch metrics for
            title: Id
          description: Entity identifier to fetch metrics for
        - name: topic_list_from
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            description: Starting index for topic list pagination
            title: Topic List From
          description: Starting index for topic list pagination
        - name: topic_list_size
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            description: Number of topics to return in the list
            title: Topic List Size
          description: Number of topics to return in the list
        - name: from
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: integer
              - type: 'null'
            description: Starting key for cursor-based pagination
            title: From
          description: Starting key for cursor-based pagination
        - name: size
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            description: Number of results to return
            title: Size
          description: Number of results to return
        - name: level
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Metrics aggregation level (e.g., 'connector', 'task', 'topic')
            title: Level
          description: Metrics aggregation level (e.g., 'connector', 'task', 'topic')
        - name: page
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: string
              - type: 'null'
            description: Page number for pagination
            title: Page
          description: Page number for pagination
        - name: timestamp_to
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: string
                format: date-time
              - type: 'null'
            description: >-
              End timestamp for metrics range (ISO 8601, e.g.,
              '2025-01-15T10:00:00Z')
            title: Timestamp To
          description: >-
            End timestamp for metrics range (ISO 8601, e.g.,
            '2025-01-15T10:00:00Z')
        - name: timestamp_from
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: string
                format: date-time
              - type: 'null'
            description: >-
              Start timestamp for metrics range (ISO 8601, e.g.,
              '2025-01-15T09:00:00Z')
            title: Timestamp From
          description: >-
            Start timestamp for metrics range (ISO 8601, e.g.,
            '2025-01-15T09:00:00Z')
        - name: time_unit
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Time unit for aggregation (e.g., 'minute', 'hour', 'day')
            title: Time Unit
          description: Time unit for aggregation (e.g., 'minute', 'hour', 'day')
        - name: time_interval
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: string
              - type: 'null'
            description: Time interval value for aggregation
            title: Time Interval
          description: Time interval value for aggregation
        - name: time_type
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: 'Type of time-based query: ''timeseries'', ''latest'', or ''timesummary'''
            title: Time Type
          description: 'Type of time-based query: ''timeseries'', ''latest'', or ''timesummary'''
        - name: tenant_ids
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: A comma-separated list of Tenant IDs
            title: Tenant Ids
          description: A comma-separated list of Tenant IDs
        - name: ids
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: A comma-separated list of destination IDs
            title: Ids
          description: A comma-separated list of destination IDs
        - name: snapshot
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Snapshot status filter
            title: Snapshot
          description: Snapshot status filter
        - name: sort
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Field to sort results by
            title: Sort
          description: Field to sort results by
        - name: sort_dir
          in: query
          required: false
          schema:
            anyOf:
              - enum:
                  - asc
                  - desc
                type: string
              - type: 'null'
            description: 'Sort direction: ''asc'' or ''desc'''
            title: Sort Dir
          description: 'Sort direction: ''asc'' or ''desc'''
      requestBody:
        content:
          application/json:
            schema:
              anyOf:
                - $ref: '#/components/schemas/DestinationMetricsReqBody'
                - type: 'null'
              title: Body
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DestinationMetricsRes'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - FronteggHTTPAuthentication: []
components:
  schemas:
    DestinationMetricsReqBody:
      properties:
        ids:
          anyOf:
            - items:
                type: string
              type: array
            - type: string
            - type: 'null'
          title: Ids
          description: >-
            List of destination IDs (as array) or comma-separated string. Body
            takes precedence over query params.
        tenant_ids:
          anyOf:
            - items:
                type: string
              type: array
            - type: string
            - type: 'null'
          title: Tenant Ids
          description: >-
            List of tenant IDs (as array) or comma-separated string. Body takes
            precedence over query params.
      additionalProperties: true
      type: object
      title: DestinationMetricsReqBody
      description: >-
        Body model for POST /destinations/metrics requests.


        Supports large lists of IDs that would exceed URL length limits when
        using GET.

        Body parameters take precedence over query parameters when both are
        provided.
    DestinationMetricsRes:
      properties:
        account_metrics:
          anyOf:
            - additionalProperties:
                $ref: '#/components/schemas/DestinationBaseMetrics'
              type: object
            - type: 'null'
          title: Account Metrics
        connector_metrics:
          anyOf:
            - additionalProperties:
                $ref: '#/components/schemas/DestinationBaseMetrics'
              type: object
            - type: 'null'
          title: Connector Metrics
        inline_metrics:
          anyOf:
            - additionalProperties:
                $ref: '#/components/schemas/DestinationBaseMetrics'
              type: object
            - type: 'null'
          title: Inline Metrics
        task_metrics:
          anyOf:
            - additionalProperties:
                additionalProperties:
                  $ref: '#/components/schemas/DestinationBaseMetrics'
                type: object
              type: object
            - type: 'null'
          title: Task Metrics
        topic_metrics:
          anyOf:
            - additionalProperties:
                additionalProperties:
                  $ref: '#/components/schemas/DestinationBaseMetrics'
                type: object
              type: object
            - type: 'null'
          title: Topic Metrics
      additionalProperties: true
      type: object
      title: DestinationMetricsRes
      description: Destination metrics response.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    DestinationBaseMetrics:
      properties:
        timeseries:
          anyOf:
            - $ref: '#/components/schemas/DestinationTimeseriesMetrics'
            - type: 'null'
        latest:
          anyOf:
            - $ref: '#/components/schemas/DestinationLatestMetrics'
            - type: 'null'
        timesummary:
          anyOf:
            - $ref: '#/components/schemas/DestinationTimesummaryMetrics'
            - type: 'null'
      additionalProperties: true
      type: object
      title: DestinationBaseMetrics
      description: Destination base metrics.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    DestinationTimeseriesMetrics:
      properties:
        latency:
          anyOf:
            - items:
                $ref: '#/components/schemas/TimeseriesEntry'
              type: array
            - type: 'null'
          title: Latency
          default: []
        partitionCount:
          items:
            $ref: '#/components/schemas/TimeseriesEntry'
          type: array
          title: Partitioncount
          default: []
        putBatchMaxTimeMs:
          items:
            $ref: '#/components/schemas/TimeseriesEntry'
          type: array
          title: Putbatchmaxtimems
          default: []
        recordsLag:
          anyOf:
            - items:
                $ref: '#/components/schemas/TimeseriesEntry'
              type: array
            - type: 'null'
          title: Recordslag
          default: []
        sinkRecordReadTotal:
          items:
            $ref: '#/components/schemas/TimeseriesEntry'
          type: array
          title: Sinkrecordreadtotal
          default: []
        recordsConsumedTotal:
          items:
            $ref: '#/components/schemas/TimeseriesEntry'
          type: array
          title: Recordsconsumedtotal
          default: []
        sinkRecordSendTotal:
          anyOf:
            - items:
                $ref: '#/components/schemas/TimeseriesEntry'
              type: array
            - type: 'null'
          title: Sinkrecordsendtotal
          default: []
        bytesConsumedTotal:
          items:
            $ref: '#/components/schemas/TimeseriesEntry'
          type: array
          title: Bytesconsumedtotal
          default: []
        qa_exact_count_diff:
          items:
            $ref: '#/components/schemas/TimeseriesEntry'
          type: array
          title: Qa Exact Count Diff
          default: []
      additionalProperties: true
      type: object
      title: DestinationTimeseriesMetrics
      description: Destination timeseries metrics.
    DestinationLatestMetrics:
      properties:
        connector_status:
          anyOf:
            - type: string
            - type: 'null'
          title: Connector Status
        latency:
          anyOf:
            - type: integer
            - type: number
            - type: 'null'
          title: Latency
        partitionCount:
          anyOf:
            - type: integer
            - type: number
            - type: 'null'
          title: Partitioncount
        putBatchMaxTimeMs:
          anyOf:
            - type: integer
            - type: number
            - type: 'null'
          title: Putbatchmaxtimems
        recordsLag:
          anyOf:
            - type: integer
            - type: number
            - type: 'null'
          title: Recordslag
        sinkRecordReadTotal:
          anyOf:
            - type: integer
            - type: number
            - type: 'null'
          title: Sinkrecordreadtotal
        recordsConsumedTotal:
          anyOf:
            - type: integer
            - type: number
            - type: 'null'
          title: Recordsconsumedtotal
        sinkRecordSendTotal:
          anyOf:
            - type: integer
            - type: number
            - type: 'null'
          title: Sinkrecordsendtotal
        bytesConsumedTotal:
          anyOf:
            - type: integer
            - type: number
            - type: 'null'
          title: Bytesconsumedtotal
        qa_exact_count_diff:
          anyOf:
            - type: integer
            - type: number
            - type: 'null'
          title: Qa Exact Count Diff
      additionalProperties: true
      type: object
      title: DestinationLatestMetrics
      description: Destination latest metrics.
    DestinationTimesummaryMetrics:
      properties:
        connector_status:
          anyOf:
            - type: string
            - type: 'null'
          title: Connector Status
        latency:
          anyOf:
            - type: integer
            - type: number
            - type: 'null'
          title: Latency
        partitionCount:
          anyOf:
            - type: integer
            - type: number
            - type: 'null'
          title: Partitioncount
        putBatchMaxTimeMs:
          anyOf:
            - type: integer
            - type: number
            - type: 'null'
          title: Putbatchmaxtimems
        recordsConsumedTotal:
          anyOf:
            - type: integer
            - type: number
            - type: 'null'
          title: Recordsconsumedtotal
        recordsLag:
          anyOf:
            - type: integer
            - type: number
            - type: 'null'
          title: Recordslag
        sinkRecordReadTotal:
          anyOf:
            - type: integer
            - type: number
            - type: 'null'
          title: Sinkrecordreadtotal
        sinkRecordSendTotal:
          anyOf:
            - type: integer
            - type: number
            - type: 'null'
          title: Sinkrecordsendtotal
        bytesConsumedTotal:
          anyOf:
            - type: integer
            - type: number
            - type: 'null'
          title: Bytesconsumedtotal
        qa_exact_count_diff:
          anyOf:
            - type: integer
            - type: number
            - type: 'null'
          title: Qa Exact Count Diff
      additionalProperties: true
      type: object
      title: DestinationTimesummaryMetrics
      description: Destination timesummary metrics.
    TimeseriesEntry:
      properties:
        value:
          anyOf:
            - type: integer
            - type: number
          title: Value
          description: The metric value at this timestamp
        timestamp:
          type: string
          title: Timestamp
          description: ISO 8601 timestamp for this data point
      additionalProperties: true
      type: object
      required:
        - value
        - timestamp
      title: TimeseriesEntry
      description: A single data point in a time series.
  securitySchemes:
    FronteggHTTPAuthentication:
      type: http
      scheme: bearer

````